.\" ex: set tabstop=4 ai expandtab softtabstop=4 shiftwidth=4:
.\" -*- mode: c-basic-indent: 4; tab-width: 4; indent-tabs-mode: nil -*-
.\" The first line of this file must contain the '"[e][r][t][v] line
.\" to tell man to run the appropriate filter "t" for table.
.\" vim: set filetype=nroff :
.\"
.\"    $Id$
.\"
.\"######################################################################
.\"#                                                                    #
.\"#                        Copyright (C)  2007                         #
.\"#                            Internet2                               #
.\"#                        All Rights Reserved                         #
.\"#                                                                    #
.\"######################################################################
.\"
.\"    File:        owping_report.man
.\"
.\"    Author:      Jeff W. Boote
.\"                 Internet2
.\"
.\"    Date:        Sat Feb 24 04:09:01 MST 2007
.\"
.\"    Description:    
.\"      This file is included into owping.1, owfetch.1, owstats.1 and
.\"      is not useful as a man-page on its own.
.\"
.PP
\fB\*[proto]\fR supports three reporting formats. A textual summary that was
designed to be as similar to the results that \fBping\fR produces as
possible. A machine readable summary format (\fI\-M\fR). And finally
a raw format that prints out the data from each and every packet in as
compact of a format as possible (\fI\-R\fR).
The textual summary also allows the information from each packet to be
reported using the \fI\-v\fR option. The default textual summary will
be used if neither the \fI\-M\fR or the \fI\-R\fR options are specified.
It includes:
.TP
SID
.br
Session Identifier. This value is unique for every test session.
.TP
Sent, Lost, Duplicates
.br
Number of packets that were sent, lost, and duplicated as seen by \fB\*[proto]\fR.
.TP
Min Delay, Median Delay, Max Delay, Error Estimate
.br
Minimum, median and maximum delay seen for sample. Maximum error estimate for
the sample. (The median is determined using a histogram, so the resolution
of this value is bounded by the \fI\-b\fR parameter. This can lead to misleading
results, for example, for very small values of latency it is possible to
see a value for the median that is greater than the maximum, but this is
simply due to the resolution of the median measurement.)
.TP
Jitter
.br
An estimate of how "stable" the delay samples are. \fB\*[proto]\fR reports
the the 95th percentile of delay - 50th percentile of delay.
.TP
Additional percentiles
.br
If the \fI\-a\fR option is used, those additional percentiles from the
sample are displayed.
.TP
TTL (hops) information
.br
As a packet traverses the network, the IP TTL field is decremented each
time the packet crosses a router. \fB\*[proto]\fR has been designed to
collect the TTL information from the packets. The \fB\*[proto]\fR
sender sets the TTL of all outgoing packets to 255. The \fB\*[proto]\fR
receiver retrieves the TTL from the packet. The normal textual
report uses this information to report the number of hops (number of
routers) the packet traversed. The number of distinct values is reported
as well as the minimum and maximum number of hops seen in the given session.
The other reporting formats just report raw TTL values as seen in the packets.
(It should be noted that if the number of hops reported seems unusually
large, it probably means the \fB\*[proto]\fR sender was not able to set the
TTL value correctly. The \fBtraceroute(1)\fR program can be used to
verify what \fB\*[proto]\fR is reporting.)
.TP
Reordering
.br
Finally \fB\*[proto]\fR reports the amount of re-ordering it observed. A
description of the metric used to report this can be found at:
.br
\%http://www.internet2.edu/performance/owamp/draft-shalunov-reordering-definition-02.txt.html
